Debian Bug report logs - #649646
evolution-shell-3.0.pc: Mark gnome-desktop-3.0 as private

version graph

Package: evolution-dev; Maintainer for evolution-dev is Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>; Source for evolution-dev is src:evolution.

Reported by: Michael Biebl <biebl@debian.org>

Date: Tue, 22 Nov 2011 23:30:01 UTC

Severity: normal

Found in version evolution/3.0.3-2

Fixed in versions evolution/3.0.3-3, evolution/3.2.2-1

Done: Josselin Mouette <joss@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>:
Bug#649646; Package evolution-dev. (Tue, 22 Nov 2011 23:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>. (Tue, 22 Nov 2011 23:30:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: evolution-shell-3.0.pc: Mark gnome-desktop-3.0 as private
Date: Wed, 23 Nov 2011 00:28:19 +0100
Package: evolution-dev
Version: 3.0.3-2
Severity: normal
File: /usr/lib/pkgconfig/evolution-shell-3.0.pc

The .pc file currently contains:

Requires: gtk+-3.0 gconf-2.0 gnome-desktop-3.0 libedataserverui-3.0

A simple grep for libgnome-desktop in /usr/include/evolution-3.* doesn't
turn up any reference, so it looks like gnome-desktop-3.0 can be marked
as private.
This would also make the upcoming gnome-desktop transition simpler, as
we can can binNMU tracker, evo-rss and evo-exchange in advance and have
them drop the dependency on libgnome-desktop-3-0.

Cheers,
Michael


-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.1.0-1-amd64 (SMP w/4 CPU cores)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages evolution-dev depends on:
ii  evolution                  3.2.1-1     
ii  libcamel1.2-dev            3.0.3-2     
ii  libedataserverui-3.0-dev   3.0.3-2     
ii  libgconf2-dev              3.2.3-1     
ii  libgnome-desktop-3-dev     3.0.2-2     
ii  libgtk-3-dev               3.2.2-2     
ii  libgtkhtml-4.0-dev         4.2.1-1     
ii  libgtkhtml-editor-4.0-dev  4.2.1-1     
ii  libxml2-dev                2.7.8.dfsg-5

evolution-dev recommends no packages.

evolution-dev suggests no packages.

-- no debconf information




Reply sent to Josselin Mouette <joss@debian.org>:
You have taken responsibility. (Thu, 24 Nov 2011 21:36:29 GMT) Full text and rfc822 format available.

Notification sent to Michael Biebl <biebl@debian.org>:
Bug acknowledged by developer. (Thu, 24 Nov 2011 21:36:29 GMT) Full text and rfc822 format available.

Message #10 received at 649646-close@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: 649646-close@bugs.debian.org
Subject: Bug#649646: fixed in evolution 3.0.3-3
Date: Thu, 24 Nov 2011 21:33:18 +0000
Source: evolution
Source-Version: 3.0.3-3

We believe that the bug you reported is fixed in the latest version of
evolution, which is due to be installed in the Debian FTP archive:

evolution-common_3.0.3-3_all.deb
  to main/e/evolution/evolution-common_3.0.3-3_all.deb
evolution-dbg_3.0.3-3_amd64.deb
  to main/e/evolution/evolution-dbg_3.0.3-3_amd64.deb
evolution-dev_3.0.3-3_amd64.deb
  to main/e/evolution/evolution-dev_3.0.3-3_amd64.deb
evolution-plugins-experimental_3.0.3-3_amd64.deb
  to main/e/evolution/evolution-plugins-experimental_3.0.3-3_amd64.deb
evolution-plugins_3.0.3-3_amd64.deb
  to main/e/evolution/evolution-plugins_3.0.3-3_amd64.deb
evolution_3.0.3-3.debian.tar.gz
  to main/e/evolution/evolution_3.0.3-3.debian.tar.gz
evolution_3.0.3-3.dsc
  to main/e/evolution/evolution_3.0.3-3.dsc
evolution_3.0.3-3_amd64.deb
  to main/e/evolution/evolution_3.0.3-3_amd64.deb
libevolution_3.0.3-3_amd64.deb
  to main/e/evolution/libevolution_3.0.3-3_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 649646@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Josselin Mouette <joss@debian.org> (supplier of updated evolution package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 24 Nov 2011 20:06:37 +0100
Source: evolution
Binary: evolution libevolution evolution-common evolution-dev evolution-dbg evolution-plugins evolution-plugins-experimental
Architecture: source all amd64
Version: 3.0.3-3
Distribution: unstable
Urgency: low
Maintainer: Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>
Changed-By: Josselin Mouette <joss@debian.org>
Description: 
 evolution  - groupware suite with mail client and organizer
 evolution-common - architecture independent files for Evolution
 evolution-dbg - debugging symbols for Evolution
 evolution-dev - development library files for Evolution
 evolution-plugins - standard plugins for Evolution
 evolution-plugins-experimental - experimental plugins for Evolution
 libevolution - evolution libraries
Closes: 649645 649646
Changes: 
 evolution (3.0.3-3) unstable; urgency=low
 .
   * 02_requires_private.patch: new patch. Make gnome-desktop a private
     requirement, it’s not referenced anywhere in the headers.
     Closes: #649646.
   * 03_deprecated.patch: new patch. Remove *_DISABLE_DEPRECATED.
     Closes: #649645.
   * 03_deprecated_gruik.patch: also remove it in configure, evolution
     doesn’t support autoreconf.
Checksums-Sha1: 
 49e2bb2b67b3c0c7b1c777538cf0ca8e985f036a 3127 evolution_3.0.3-3.dsc
 d57ce42140eaad56b374b74dc3fa90c8929fe7d1 46042 evolution_3.0.3-3.debian.tar.gz
 ecd9bbea94356196d22b6270d625db82eaf131ad 28612394 evolution-common_3.0.3-3_all.deb
 60be51d9ed87ab4b58acac78897f2615c8978d42 1512374 evolution_3.0.3-3_amd64.deb
 fce7b3a3a46c031371d60df592f3c869b1a77fa4 2794590 libevolution_3.0.3-3_amd64.deb
 048a86df75aa468cd63ac4f70ea2fc6de4f89e2d 734392 evolution-dev_3.0.3-3_amd64.deb
 c916551a054f64a2e7b3c899fc6db8ec3a455ced 8060560 evolution-dbg_3.0.3-3_amd64.deb
 167846b2178a8ee737aea1e0bb0e28192caf3acd 619094 evolution-plugins_3.0.3-3_amd64.deb
 d15fab33f3289e5f280f584a58ee0285a6110cde 435894 evolution-plugins-experimental_3.0.3-3_amd64.deb
Checksums-Sha256: 
 0a32c14aeb874c72903f421de0ade0d5cd5001cc048c8889b1b716351664e261 3127 evolution_3.0.3-3.dsc
 b86735a08e296a9e20dc9fb1956d203e800edf8860f0f822a50ef1ce7c11d995 46042 evolution_3.0.3-3.debian.tar.gz
 c500fa5fdd376a1f23d8e247dcabfc63eb40e1b1c980e52c765116816ac71334 28612394 evolution-common_3.0.3-3_all.deb
 a4ec03563bda238085cd4b9e9283d7e763449f7fa72b369c6636d6dcd9808fd4 1512374 evolution_3.0.3-3_amd64.deb
 045157d431543d30c59f59c56c93af785736ef116789412c386755e601bbc1b9 2794590 libevolution_3.0.3-3_amd64.deb
 d734076d9d9e23e31e3de42640e48c5fc0c9868424263a6f0a25f992380be600 734392 evolution-dev_3.0.3-3_amd64.deb
 094c05127e08c09a06681d11579d58e57b6beb2a0a3e0dcc0429f7ac1cf9399b 8060560 evolution-dbg_3.0.3-3_amd64.deb
 4581fc841062d0dbbdcd043191aa0f9a21f1ad0ae59f50d186b542691ed78ed4 619094 evolution-plugins_3.0.3-3_amd64.deb
 48cca94309033305c123bd29deedc62f74a16da8b0331849633a0cc07621d963 435894 evolution-plugins-experimental_3.0.3-3_amd64.deb
Files: 
 f0593bc8b68021cd4d74809fe4159671 3127 gnome optional evolution_3.0.3-3.dsc
 823b67e31c9689d50e2446238fa16735 46042 gnome optional evolution_3.0.3-3.debian.tar.gz
 e37abd2723ee93b3a4ca0b2bc1e77a90 28612394 gnome optional evolution-common_3.0.3-3_all.deb
 72dd978aab59ba5644e633b12840646e 1512374 gnome optional evolution_3.0.3-3_amd64.deb
 291dc8571261eb96036562fccaf0add9 2794590 gnome optional libevolution_3.0.3-3_amd64.deb
 72a97136e64ea35d597a724d3ff50e03 734392 devel optional evolution-dev_3.0.3-3_amd64.deb
 f25750bff1824c0a3efd22ad3faa873e 8060560 debug extra evolution-dbg_3.0.3-3_amd64.deb
 13f74a57487e1bbdf81b61935b801528 619094 gnome optional evolution-plugins_3.0.3-3_amd64.deb
 cde428a071934e077f99b4423aeee692 435894 gnome optional evolution-plugins-experimental_3.0.3-3_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iD8DBQFOzrHbrSla4ddfhTMRAlDiAJ427l7MyCY79Ig2IqQSof89VeJvKQCgs4xa
NhmLcMdOE+bDySR2sAXFmIk=
=7r5b
-----END PGP SIGNATURE-----





Reply sent to Josselin Mouette <joss@debian.org>:
You have taken responsibility. (Fri, 16 Dec 2011 23:51:09 GMT) Full text and rfc822 format available.

Notification sent to Michael Biebl <biebl@debian.org>:
Bug acknowledged by developer. (Fri, 16 Dec 2011 23:51:09 GMT) Full text and rfc822 format available.

Message #15 received at 649646-close@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: 649646-close@bugs.debian.org
Subject: Bug#649646: fixed in evolution 3.2.2-1
Date: Fri, 16 Dec 2011 23:47:35 +0000
Source: evolution
Source-Version: 3.2.2-1

We believe that the bug you reported is fixed in the latest version of
evolution, which is due to be installed in the Debian FTP archive:

evolution-common_3.2.2-1_all.deb
  to main/e/evolution/evolution-common_3.2.2-1_all.deb
evolution-dbg_3.2.2-1_amd64.deb
  to main/e/evolution/evolution-dbg_3.2.2-1_amd64.deb
evolution-dev_3.2.2-1_amd64.deb
  to main/e/evolution/evolution-dev_3.2.2-1_amd64.deb
evolution-plugins-experimental_3.2.2-1_amd64.deb
  to main/e/evolution/evolution-plugins-experimental_3.2.2-1_amd64.deb
evolution-plugins_3.2.2-1_amd64.deb
  to main/e/evolution/evolution-plugins_3.2.2-1_amd64.deb
evolution_3.2.2-1.debian.tar.gz
  to main/e/evolution/evolution_3.2.2-1.debian.tar.gz
evolution_3.2.2-1.dsc
  to main/e/evolution/evolution_3.2.2-1.dsc
evolution_3.2.2-1_amd64.deb
  to main/e/evolution/evolution_3.2.2-1_amd64.deb
evolution_3.2.2.orig.tar.xz
  to main/e/evolution/evolution_3.2.2.orig.tar.xz
libevolution_3.2.2-1_amd64.deb
  to main/e/evolution/libevolution_3.2.2-1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 649646@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Josselin Mouette <joss@debian.org> (supplier of updated evolution package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 16 Dec 2011 20:32:17 +0100
Source: evolution
Binary: evolution libevolution evolution-common evolution-dev evolution-dbg evolution-plugins evolution-plugins-experimental
Architecture: source all amd64
Version: 3.2.2-1
Distribution: unstable
Urgency: low
Maintainer: Debian Evolution Maintainers <pkg-evolution-maintainers@lists.alioth.debian.org>
Changed-By: Josselin Mouette <joss@debian.org>
Description: 
 evolution  - groupware suite with mail client and organizer
 evolution-common - architecture independent files for Evolution
 evolution-dbg - debugging symbols for Evolution
 evolution-dev - development library files for Evolution
 evolution-plugins - standard plugins for Evolution
 evolution-plugins-experimental - experimental plugins for Evolution
 libevolution - evolution libraries
Closes: 649645 649646
Changes: 
 evolution (3.2.2-1) unstable; urgency=low
 .
   [ Jordi Mallach ]
   * New upstream release.
   * Don't suggest bug-buddy.
   * Update Vcs-* URLs.
   * Bump e-d-s libs build deps to 3.2.2, as per configure.ac.
 .
   [ Josselin Mouette ]
   * 01_requires_private.patch: new patch. Make gnome-desktop a private
     requirement, it’s not referenced anywhere in the headers.
     Closes: #649646.
   * Use dh-autoreconf.
   * 04_gettext_intltool.patch: new patch. Remove gettext from the
     configure script, we already use intltool and they step on each
     other’s toe.
   * 10_task_from_mail.patch, 11_save_duplicate.patch,
     12_sanitize_filename.patch, 13_deprecated.patch,
     14_crash_importer.patch, 15_mailto_suspicious.patch,
     16_none_server.patch, 17_view_threads.patch, 18_open_calendar.patch,
     19_crash_bbdb.patch, 20_print_download.patch: stolen from 3.2
     upstream git.
     Closes: #649645 among other things.
Checksums-Sha1: 
 9bbae2168a28ada0bd9a0dbf686eb66ef12c8c22 3228 evolution_3.2.2-1.dsc
 cae31984cfbcd26a8848a7b94a0f4957502ae173 11489564 evolution_3.2.2.orig.tar.xz
 1fb2d97fee9fa7b82dce6879ae9d6d5099297ad8 51564 evolution_3.2.2-1.debian.tar.gz
 5ee9359af7961e7e94ccfd4f768dc02d474bd32b 13809706 evolution-common_3.2.2-1_all.deb
 bf7a4a98d3620193c284f608d52f11deca607356 1559582 evolution_3.2.2-1_amd64.deb
 f661bc76c1eedb322f56b5b7ecf6e1ac0e56fd03 2991082 libevolution_3.2.2-1_amd64.deb
 448da2f04b9c0a2fa291e9bd06182b17ccb29db0 849050 evolution-dev_3.2.2-1_amd64.deb
 8efab5bb621edaf56f7f2d17ac77886bce61614a 8117776 evolution-dbg_3.2.2-1_amd64.deb
 d70e18939b74711f15f9c5e87a1c9818c0ebfa5a 735668 evolution-plugins_3.2.2-1_amd64.deb
 b28d0b27c8587e88b97c8cc27da20677806de9d1 548906 evolution-plugins-experimental_3.2.2-1_amd64.deb
Checksums-Sha256: 
 bdd72519e01cc3cdb8dc7da25af900cf50e3f7a07735e74d2e98b9bcdf3d39d7 3228 evolution_3.2.2-1.dsc
 03c68242bbf494dda3bf34f52ec843c282c9bb07f9415a69fe58237c7efbbe7d 11489564 evolution_3.2.2.orig.tar.xz
 772b377167d2e44fa3d987bb676c1eb97c876c463d2b59df5e081a7ed02a2fc9 51564 evolution_3.2.2-1.debian.tar.gz
 3cf17b5b55819b47921a2fb23e6047c2fcbc781942738172feac1e77abb7baaf 13809706 evolution-common_3.2.2-1_all.deb
 78f801ae888e9ecf7ef5a0846ff140061ad676e522a9b522abc49d61ec327890 1559582 evolution_3.2.2-1_amd64.deb
 103114bb9a4289e3c1703da386b08210066b85974fbcc7b02043056cc59077f2 2991082 libevolution_3.2.2-1_amd64.deb
 d0a5dc569a67fa9c89fc3ff319cc666284682869e822cf870adff540903b4736 849050 evolution-dev_3.2.2-1_amd64.deb
 43b5238bb4457f578a5db9115b0bbac388f9703151b345e340099c4910a0668e 8117776 evolution-dbg_3.2.2-1_amd64.deb
 9267dd173c2aeaa50039e4298581078f77fdf158aec5562cb07ed8aa4ff2a103 735668 evolution-plugins_3.2.2-1_amd64.deb
 7ef71bf189ce17bbed30ab9dac0becb171cc9aad959352ec89681623b52894de 548906 evolution-plugins-experimental_3.2.2-1_amd64.deb
Files: 
 e28bd6cfa23a5b5762fba902421f3c5f 3228 gnome optional evolution_3.2.2-1.dsc
 1c661fb7a982ba6b3624becaa3079eb8 11489564 gnome optional evolution_3.2.2.orig.tar.xz
 93d8bd7b39daa9ebf2c3ecfdb7b6aec2 51564 gnome optional evolution_3.2.2-1.debian.tar.gz
 6e19cf1871c065a83b24c9e6f47de949 13809706 gnome optional evolution-common_3.2.2-1_all.deb
 2a7c448cfb1fedb71bfcb23f1e911984 1559582 gnome optional evolution_3.2.2-1_amd64.deb
 cb8f038ca704dbf4250d9a5a9be85429 2991082 gnome optional libevolution_3.2.2-1_amd64.deb
 5a64b44fefb4e1966e42abac52a8e9c7 849050 devel optional evolution-dev_3.2.2-1_amd64.deb
 45d4469c9bf34d70d4d26ba79fdd4704 8117776 debug extra evolution-dbg_3.2.2-1_amd64.deb
 46aa56b2e9c91aab8d7856b6a02d1cd3 735668 gnome optional evolution-plugins_3.2.2-1_amd64.deb
 11fac465ab8a311afee93cb520cf1244 548906 gnome optional evolution-plugins-experimental_3.2.2-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iD8DBQFO69ZKrSla4ddfhTMRAshLAJ9/N6HV3UCrb/sFcmxpkNipOaQbtgCdGLop
zqj98mKMxZyZSrEe3srv1Gw=
=n7JT
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 14 Jan 2012 07:38:11 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 21:00:37 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.